#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9B,0x23,0x3A,0x4F,0x12,0xAA,0x7D,0xB1,0x1C,0xE5,0x51,0x9C,
		0xF8,0x54,0x85,0xB2,0x47,0x91,0x6A,0x01,0x2D,0x23,0x14,0x3F,
		0xF7,0xAB,0xC0,0x5A,0xFF,0xDD,0x9C,0x4B,0xE2,0xB7,0x89,0xEE,
		0xDA,0x64,0x70,0x1F,0x54,0xB3,0x7F,0x63,0xE5,0xFD,0xF6,0x1D,
		0xC4,0x5C,0x74,0xFA,0x11,0xF8,0x78,0x55,0xD2,0xC7,0xA3,0x8C,
		0x5F,0xDA,0xDF,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
